/** @file MOMRecordEvent.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMRecordEvent_h
#define MOMRecordEvent_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>

#include "MOMEvent.h"

namespace WebCore {
    
class MOMRecordEvent : public MOMEvent {
public:
    static PassRefPtr<MOMRecordEvent> create()
    {
        return adoptRef(new MOMRecordEvent);
    }

    int state() const { return getIntParam(mom_event_RECORD_STATE); }
    int length() const { return getIntParam(mom_event_RECORD_LENGTH); }
    int condition() const { return getIntParam(mom_event_RECORD_CONDITION); }

    MOMRecordEvent(const mom_event_params* params, ScriptExecutionContext* context);
private:
    MOMRecordEvent();
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMRecordEvent_h
